Package com.pixelmed.dicom

# Class TransferSyntaxFromName

java.lang.Object
com.pixelmed.dicom.TransferSyntaxFromName

public class TransferSyntaxFromName extends Object

A class to lookup the DICOM Transfer Syntax UID from a string name.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static Map<String,String>`
`keywordByUID`
`protected static Map<String,String>`
`uidByKeyword`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getKeywordFromUID(String transferSyntaxUID)`
`static String`
`getUID(String name)`
Get the Transfer Syntax UID from the name.
`static void`
`main(String[] arg)`
Test.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### uidByKeyword

protected static Map<String,String> uidByKeyword

### keywordByUID

protected static Map<String,String> keywordByUID

## Method Details

### getUID

public static String getUID(String name)

Get the Transfer Syntax UID from the name.

Parameters:
  `name` - a string name of the transfer syntax
Returns:
  the UID if found, else the supplied argument if of UID form, else null

### getKeywordFromUID

public static String getKeywordFromUID(String transferSyntaxUID)

Parameters:
  `transferSyntaxUID` - UID of the Transfer Syntax, as a String without trailing zero padding
Returns:
  a keyword identifying the Transfer Syntax, or an empty string if none

### main

public static void main(String[] arg)

Test.

Parameters:
  `arg` - none